/* assert.cc
* This file is part of ncursesxx library
* Copyright (c) 2003,2004 by Stanislav Ievlev
*
* This file is covered by the GNU Library General Public License,
* which should be included with libncursesxx as the file COPYING.
*/
#include <stdexcept>
#include <sstream>

#include <ncurses/assert.hh>

using namespace ncurses;

void ncurses::make_ncurses_assert(const std::string &expr, const std::string& file, int line)
{
	std::ostringstream ost;
	ost << "Assertion '" << expr << "'" << std::endl;
	ost << "failed at file:" << file << ":" << line;
	throw ncurses::runtime_error(ost.str());
}
